summaryrefslogtreecommitdiff
path: root/dev-python/flaky
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-12-25 15:49:07 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-12-25 15:49:07 +0000
commit86f7323d28a04492eb6abd933f3566227ec16ab5 (patch)
tree6ad6cb18800ca69498e4a3bc5695ab4ef6623bde /dev-python/flaky
parent7a12d9167cf63635da26027e1ab96c25aa889bef (diff)
downloadbaldeagleos-repo-86f7323d28a04492eb6abd933f3566227ec16ab5.tar.gz
baldeagleos-repo-86f7323d28a04492eb6abd933f3566227ec16ab5.tar.xz
baldeagleos-repo-86f7323d28a04492eb6abd933f3566227ec16ab5.zip
Adding metadata
Diffstat (limited to 'dev-python/flaky')
-rw-r--r--dev-python/flaky/flaky-3.7.0-r3.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/dev-python/flaky/flaky-3.7.0-r3.ebuild b/dev-python/flaky/flaky-3.7.0-r3.ebuild
new file mode 100644
index 000000000000..c7202c7c7ce2
--- /dev/null
+++ b/dev-python/flaky/flaky-3.7.0-r3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Plugin for pytest that automatically reruns flaky tests"
+HOMEPAGE="
+ https://github.com/box/flaky/
+ https://pypi.org/project/flaky/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ test? (
+ dev-python/genty[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ rm flaky/flaky_nose_plugin.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ epytest -k 'example and not options' --doctest-modules test/test_pytest/ || die
+ epytest -p no:flaky test/test_pytest/test_flaky_pytest_plugin.py || die
+ epytest --force-flaky --max-runs 2 test/test_pytest/test_pytest_options_example.py || die
+}